Subject: Re: linux-next: manual merge of the risc-v tree with the tenstorrent-dt tree

From: Drew Fustini <[email-masked]>
Date: Wed, 19 Nov 2025 15:54:31 -0800

On Thu, Nov 20, 2025 at 10:29:25AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the risc-v tree got a conflict in:
> 
>   MAINTAINERS
> 
> between commits:
> 
>   4de28f1edcfb ("dt-bindings: riscv: Add Tenstorrent Blackhole compatible")
>   8e88602e99a7 ("riscv: dts: Add Tenstorrent Blackhole SoC PCIe cards")
> 
> from the tenstorrent-dt tree and commit:
> 
>   5ffe60d26107 ("drivers: firmware: add riscv SSE support")
> 
> from the risc-v tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thank you for fixing it up. The resolution looks correct to me. The
Tenstorrent MAINTAINERS patch is in the tag tenstorrent-dt-for-v6.19 [1]
that I used for the 6.19 pull request [2].

Drew

[1] https://git.kernel.org/pub/scm/linux/kernel/git/fustini/linux.git/tag/?h=tenstorrent-dt-for-v6.19
[2] https://lore.kernel.org/all/aPUemXdOFZEdkayE@x1/